Commit aa3ed35b authored by Nathalie Rousse's avatar Nathalie Rousse
Browse files

vle-2.0.1/VLE.def modification : changing ubuntu16.04 to ubuntu18.04 and some

building options
parent bb380584
......@@ -6,7 +6,7 @@
#
# - VLE.def :
#
# - Ubuntu 16.04
# - Ubuntu 18.04
# - vle-2.0.1 version
#
# - Apps : context, simulate, pkg_list, vpz_list
......@@ -21,10 +21,15 @@
#
# - More (how it is used by erecord...) : see README.txt
#
# Notes :
#
# Without CVLE => - 6Mo for .simg
# (-DWITH_CVLE=OFF # install libopenmpi-dev openmpi-bin)
#
###############################################################################
Bootstrap: docker
From: ubuntu:16.04
From: ubuntu:18.04
%help
......@@ -95,7 +100,11 @@ From: ubuntu:16.04
cd build
export QT_SELECT=qt5
cmake -DCMAKE_INSTALL_PREFIX=/VLE/vle \
-DCMAKE_BUILD_TYPE=RelWithDebInfo -DWITH_CVLE=ON -DWITH_GVLE=ON ..
-DCMAKE_BUILD_TYPE=Release -DWITH_CVLE=ON -DWITH_GVLE=ON \
-DCMAKE_EXPORT_COMPILE_COMMANDS=ON \
-DCMAKE_COLOR_MAKEFILE=ON \
-DCMAKE_VERBOSE_MAKEFILE=OFF \
..
make -j4
make install
#make test
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment